/* Basic Reset */
body * {
    margin: 0;
    padding: 0;
    font-family: Vazir, serif;
	font-weight: bold;
}

html.fox body * {
	font-family: 'IranSans';
	font-weight: normal;
}

/* Body & General Styling */
body {
    background-color: #eeeeee;
    color: #333;
    line-height: 1.6;
    padding: 0;
    margin: 0;
	direction: rtl;
}

/* Header & Navbar */


/* Main Content Styling */
.place-details {
    /*display: flex;*/
    justify-content: space-between;
    padding: 25px 20px 45px 20px;
    gap: 20px;
}

.main-content {
    width: 100%;
	max-width: 710px;
    margin-left: auto;
    margin-right: auto;
}

.place-info {
    display: flex;
    gap: 30px;
}

.place-description {
    /*max-width: 500px;*/
    line-height: 1.8;
	white-space: normal;
}

.place-description p {
    font-size: 1.2rem;
}

.place-description strong {
    font-weight: bold;
    font-size: 1.3rem;
}

.mapIframer strong {
    font-weight: bold;
    font-size: 1.2rem;
}

/* Sidebar Styling */
.sidebar {
	display: inline-block;
    background-color: #ffffff;
    padding: 20px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    position: sticky;
    top: 20px;
    border-radius: 8px;
	height: fit-content;
}

.sidebar h2 {
    font-size: 1.6rem;
    margin-bottom: 20px;
    color: #333;
}

.sidebar ul {
    list-style: none;
}

.sidebar ul li {
    margin-bottom: 15px;
}

.sidebar ul li a {
    color: #3498db;
    text-decoration: none;
    font-size: 1.2rem;
    transition: color 0.3s ease;
}

.sidebar ul li a:hover {
    color: #e74c3c;
}

/* Media Queries for Responsiveness */
@media (max-width: 545px) {
    .place-details {
        flex-direction: column;
        align-items: center;
    }

    .place-info {
        flex-direction: column;
    }

    .sidebar {
        margin-top: 20px;
    }
}

.number {
	display: inline-block;
    color: white;
    background-color: #8e24aa;
    font-size: 0.9rem;
    padding: 2px 7px;
    margin-top: 5px;
    border-radius: 4px;
}

header a {
	text-decoration: none;
}

.place-images { 
	white-space: nowrap;
	border-radius: 0px 0px 14px 14px;
	border: 2px solid #ffffff;
	background-color: #ffffff;
	padding: 10px;
	padding-top: 0px;
	overflow: auto;
	position: relative;
	width: calc(100% - 24px);		
}

.imagesHolder img.slideimg {
	display: inline-block;
	height: 120px;
	width: auto;
	aspect-ratio: 18 / 9;
	border-radius: 4px;	
	cursor: pointer;	
	transition: transform 0.2s linear;
	object-fit: cover;
}

body.forcedark .vidflexor:first-child {
	background-color: #737373;
}

.vidflexor.loading::before {
  content: '';
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    90deg,
    transparent 0%,
    rgba(255, 255, 255, 0.4) 50%,
    transparent 100%
  );
  animation: shimmer 1.5s infinite;
  pointer-events: none;
  z-index: 1;
}

@keyframes shimmer {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(200%);
  }
}

.imagesHolder img.slideimg:not(:last-child) { 
	margin-left: 10px;
}

.imagesHolder div.vidiframe:not(:last-child) {
	margin-left: 5px;
}

.imagesHolder img.slideimg:visited, .imagesHolder img.slideimg:focus, .imagesHolder img.slideimg:active, .imagesHolder img.slideimg:hover {
	transform: scale(0.97);
}

.place-info {
	display: block;
}

.imagesHolder {
	overflow: auto;
	border-radius: 4px;
	height: 120px;
	max-width: 100%;
	scrollbar-width: none;
	position: relative;
	overflow-y: hidden;
	text-align: center;
}

.emoji {
	width: 24px;
	height: 23px;
}

.QCnF67d {
	margin-bottom: 11px;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}
.QCnF67d span {
	position: relative;
	top: -3px;
	right: 1px;
}

span.rate {
	right: unset;
	left: 1px;
	top: -8px;
    font-size: 0.94rem;
}


span.ratecount {
	font-size: 0.8rem;
	color: gray;
	margin-left: 5px;
	top: -9px;
}

body.forcedark span.ratecount {
	color: #bcbcbc;
}

.starcontain {
	float: left;
	display: inline-block;
	direction: ltr;
	padding: 2px 10px 4px 4px;
    border: 2px solid #f3f3f3;
    height: 21px;
    border-radius: 7px;
    margin-top: 1px;
	margin-right: 6px;
}

span.adress img.emoji {
	top: 7px;
	position: relative;
}

.imageViewer {
	position: fixed;
	z-index: 2;
	background: rgba(0, 0, 0, 0.7);
	top: 0px;
	left: 0px;
	height: 100dvh;
	width: 100dvw;
	text-align: center;
	transition: opacity 0.3s linear;
	opacity: 0;
	display: none;
	justify-content: center;
	align-items: center;
}

.imageViewer img {
	max-width: min(1500px, 95dvw);
	max-height: calc(100dvh - 160px);
	cursor: pointer;
}

.imagesScroller {
	align-items: center;
	background: #fff;
	border: 0;
	border-radius: 50%;
	box-shadow: 0 4px 15px rgba(0,0,0,.1);
	display: none;
	height: 36px;
	justify-content: center;
	margin: 0;
	outline: none;
	padding: 0;
	position: absolute;
	top: 84px;
	width: 36px;
	z-index: 1;
	cursor: pointer;
}

.imagesScroller.f {
	left: 18px;
}

.imagesScroller:not(.f) {
	right: 18px;
}

.imagesScroller img {
	height: 24px;
	width: 24px;
}

.imagesScroller img.reverse {
	transform: rotate(180deg);
}
  
.place-description .emoji {
	position: relative;
    width: 43px;
    height: 43px;
    top: 0px;
    margin-bottom: -13px;
}

.place-description .phoneemoji  {
	position: relative;
	width: 32px;
	height: 32px;
	top: 2px;
	margin-bottom: -8px;
}

.mapIframer .phoneemoji  {
	position: relative;
	width: 40px;
	height: 40px;
	top: -3px;
    margin-bottom: -17px;
}

.place-description p:first-child {
	margin-bottom: 15px;
	max-height: max(250px, min(335px, 35vh));
	overflow: auto;
	padding-bottom: 2px;
	font-size: 1.12rem;
	padding: 0px 5px 0px 5px;
	position: relative;
	text-align: justify;
}

.place-description span.title {
    display: block;
	text-align: center;
    position: relative;
    top: -11px;
    font-size: 1.35rem;
}

.place-description span.body {
	position: relative;
    top: 0px;
    margin-right: 1px;
}

.gpsloc {
	max-width: calc(100% - 20px);
    margin-left: auto;
    margin-right: auto;
}

.place-description {
	border-radius: 0px 8px 8px 0px;
	margin-top: 5px;
}

.mapIframer {
	text-align: center;
    max-width: 700px;
    max-height: 700px;
    margin-right: auto;
    margin-left: auto;
    background: white;
    margin-top: 30px;
    border-radius: 14px;
    padding-bottom: 20px;
	padding-top: 10px;
}

.mapIframer iframe {
    border: none;
    border-radius: 4px;
    aspect-ratio: 1 / 0.75;
    margin-left: auto;
    margin-right: auto;
    width: calc(100% - 20px);
    margin-top: 10px;
}

.mapIframer a {
	text-decoration: none;
	color: black;
}

.mapIframer div.navigator {
	display: inline-block;
	border: none;
	border-radius: 4px;
	width: calc(50% - 35px);
	max-width: 300px;
	margin-top: 15px;
	margin-left: auto;
	margin-right: auto;
	/* border: 2px solid #960096; */
	padding: 6px 4px;
	background: radial-gradient(#00afcf, #006e72);
	color: white;
	box-shadow: 0px 0px 2px 2px #006e72;
	cursor: pointer;
	user-select: none;
	font-size: 1.14rem;
}

div.navigator.balad
{ 
	background: linear-gradient(to left, #852dc6, #000182, #852dc6);
	box-shadow: 0px 0px 2px 2px #852dc6;
	margin-right: 15px;
}

div.navigator.snapp {
	background: #00943b;
	box-shadow: 0px 0px 2px 2px #00943b;
	margin-left: 15px;
}
div.navigator.tapsi {
	background: linear-gradient(91deg, #f73, #ff5722 50%, #e54917);
	box-shadow: 0px 0px 2px 2px #c62f00;
}

div.navigator img {
	width: 25px;
	height: 25px;
	margin-bottom: -8px;
	margin-left: 2px;
}

div.gps {
	direction: ltr;
	display: inline-block;
	font-weight: bold;
	font-size: 1.1rem;
}	

.shareBut {
	position: fixed;
	bottom: 15px;
	right: 15px;
	border-radius: 50%;
	background: linear-gradient(116deg, #d600c5, #5923cc);
	padding: 9px 10px 0px 7px;
	z-index: 1;
	animation: fadeInOut 1.4s linear;
	animation-iteration-count: infinite;
	animation-fill-mode: forwards;
	transition: transform 0.2s linear;
	user-select: none;
}

.shareBut img {
	height: 27px;
	width: 27px;
}

.shareBut:hover, .shareBut:focus, .shareBut:visited, .shareBut:active {
	transform: scale(0.9);
}

@keyframes fadeInOut {
	0% {
		box-shadow: 0px 0px 3px 2px #d600c5;
	}
	50% {
		box-shadow: 0px 0px 0px 0px #d600c5;
	}
	100% {
		box-shadow: 0px 0px 3px 2px #d600c5;
	}
}

.similar {
	margin-top: 40px;
	font-weight: bold;
	font-size: 1.2rem;
	max-width: 680px;
	margin-left: auto;
	margin-right: auto;
	scrollbar-width: thin;
	background-color: #ffffff;
	padding: 10px;
    border-radius: 14px;
}

body.forcedark .similar {
	background-color: #151515;
}

.similar div.titlediv {
	border-bottom: 1px solid #e7e7e7;
	margin-bottom: 5px;
	text-align: center;
    padding-bottom: 3px;
	color: black;
}

body.forcedark .similar div.titlediv {
	color: white;
}

body.forcedark .sectionTitle, body.forcedark .titlediv {
	border-bottom: 1px solid #515151;
}

.similarplace {
	display: inline-block;		
	width: 230px;
	height: 190px;
	border-radius: 8px;
	background-size: cover;
	background-position: center;
	cursor: pointer;
	overflow: hidden;
    text-overflow: ellipsis;
	transition: transform 0.15s linear;
	vertical-align: top;
}

.similarplace:hover, .similarplace:active, .similarplace:focus, .similarplace:visited {
	transform: scale(0.97);
}

.SPImage {
	display: block;
	height: 120px;
	width: 100%;
	object-fit: cover;
}

.similarplace:not(last-child) {
	margin-left: 10px;	
}

.similarItems {
	width: 100%;
	overflow: auto;
	-webkit-tap-highlight-color: transparent;
	white-space: nowrap;
	margin-top: 10px;
	border-radius: 12px 12px 0px 0px;
}

.similartext {
	color: black;		
	white-space: nowrap;
	padding: 5px;
	font-size: 1rem;
	position: relative;
	overflow: hidden;
    text-overflow: ellipsis;
	border: 2px solid #e7e7e7;
    border-top: unset;
    border-radius: 0px 0px 12px 12px;
	background: white;
}

body.forcedark .similartext {
	border: unset;
}

.similartext span {
	margin-right: 5px;
}

.similarItems a {
	text-decoration: none;
	color: white;
}

.similartext img {
	width: 18px;
	height: 24px;
	margin-bottom: -7px;
}

.comntsection {
	max-width: 680px;
	margin-left: auto;
	margin-right: auto;
	background-color: #ffffff;
	border-radius: 0px 0px 8px 8px;
	padding: 10px;
}

.comntsectionheader {
	max-width: 688px;
	margin-left: auto;
	margin-right: auto;
	margin-top: 45px;
	font-size: 1.2rem;
	background-color: #ffffff;
    padding-top: 13px;
    padding-right: 12px;
    border-radius: 12px 12px 0px 0px;
}

.comntsectionheader:after {
    content: '';
    width: calc(100% - 17px);
    height: 1px;
    background-color: #e7e7e7;
    display: block;
    margin-right: 0px;
    margin-top: 5px;
}

body.forcedark .comntsectionheader:after {
	height: 0px;
}

.comntsectionheader img {
	height: 40px;
	width: 40px;
	margin-bottom: -20px;
	top: -9px;
	position: relative;
}

textarea {
	display: block;
	width: calc(100% - 20px);
	/* height: 120px; */
	min-height: 70px;
	font-family: Vazir;
	font-size: 1rem;
	margin-top: 7px;
	border-radius: 4px;
	border: none;
	background: #dbdbdb;
	padding: 10px;
	color: black;
	margin-bottom: 10px;
}

textarea::placeholder, input.comment::placeholder {
	color: #030303;
}

textarea:focus, input:focus {
	outline: none;
}

form input {
	width: calc(50% - 10px);
	padding: 5px;
	font-family: Vazir;
	font-size: 1rem;
	color: black;
	border-radius: 4px;
}

input.comment {
	margin-left: 5px;
	border: none;
	background: #dbdbdb;
}

.comntsection form input.submit {
	border: none;
	background-color: #006682;
    color: #fcfcfc;
	transition: opacity 0.2s linear;
}

form {
	margin-bottom: 25px;
}

div.comment {
	padding: 5px;
	margin-bottom: 10px;
	border: 2px solid #dbdbdb;
	color: black;
	border-radius: 8px;
	user-select: none;
	position: relative;
	font-size: 1.05rem;
}

div.comment img, div.comment svg {
	height: 35px;
	width: 35px;
	margin-bottom: -18px;
	position: relative;
	top: -4px;
}

.commentMeta {
	direction: ltr;
	background: white;
	padding-right: 2px;
	margin-top: 2px;
	margin-left: 5px;
}

.commentbody {
	font-size: 1rem;
	padding: 3px 37px 0px 11px;
	word-break: break-word;
	text-align: justify;
}

input.submit:disabled {
	cursor: not-allowed;
	opacity: 0.6;
}

.titlediv img {
	width: 34px;
	height: 34px;
	margin-bottom: -13px;
	top: -2px;
	position: relative;
}

.titlediv a {
	text-decoration: none;
	color: black;
}

.placeTitle, .breadcrumb {
	max-width: 100%;
	overflow: auto;
	white-space: nowrap;
	scrollbar-width: none;
}

.placeTitle {
	background-color: white;
	border-radius: 14px 14px 0px 0px;
}

.placeTitle h1 img {
	height: 22px;
	width: 16.5px;
    position: relative;
    top: 0px;
    margin-bottom: -5px;
}

.placeTitle h1 {
    background: white;
    padding: 7px 16px 0px 8px;
    white-space: normal;
    line-height: 1.3;
    font-size: clamp(1.1em, 4vw, 1.3em);
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
	font-family: 'IranSans';
    font-weight: 500;
}

.place-images hr {
    margin-top: 3px;
    margin-bottom: 15px;
    border: none;
    height: 1px;
    background-color: #ededed;
}

/*.placeTitle h1 {
    font-size: 1.7em;
}*/

body.forcedark h1 {
	background: black;
}

@media (min-width: 515px) {
	.placeTitle h1 img {
		top: -1px;
	}
}

.breadcrumb {		
	font-size: 15px;
	color: #666;
	margin-top: -10px;
	margin-bottom: 10px;
	background-color: white;
    border-radius: 6px;
    padding: 6px 7px 3px 7px;
	transition: scrollbar-color 0.2s linear;
    scrollbar-color: transparent transparent;
}

.breadcrumb:hover {
	scrollbar-color: rgba(0, 0, 0, 0.4) transparent;
    scrollbar-width: thin;
}

body.forcedark .breadcrumb {
	background-color: #0b0a16;
}

.breadcrumb span:not(.maincrumb) {
	color: #6a6a6a;
}

.breadcrumb a {
	text-decoration: none;
    display: inline-block;
    border-bottom: 2px solid transparent;
	transition: border-bottom 0.2s linear;	
}

.breadcrumb a:hover, .breadcrumb a:focus, .breadcrumb a:active {
    border-bottom: 2px solid #00bdbd;
}

.breadcrumb svg {
	color: #ababab;
    margin-bottom: -9px;
    top: -3px;
    position: relative;
}

.maincrumb {
	color: #222;
	font-weight: bold;
}

.crumbsep {
	margin: 0 8px;
	color: #ccc;
	font-weight: normal;
	position: relative;
    top: 1px;
}

/* Dark Theme */
body.forcedark {
	scrollbar-color: #888 #121212;
}

body.forcedark::-webkit-scrollbar-track {
	background: white;
}

body.forcedark a {
	color: #fcfcfc;
}
	
body.forcedark {
	background: #26272b;
	color: #efefef;
}
	
body.forcedark .breadcrumb span:not(.maincrumb) {
	color: #d4d4d4;
}
	
body.forcedark .maincrumb {
	color: #ffffff;
}			
	
body.forcedark .comntsection {
	background: #5b5b5b;
}
	
body.forcedark .searchItem div.extra {
	color: black;
	background: #e8e8e8;
}

body.forcedark input {
	background: #e6e6e6;
	color: black;
}
	
body.forcedark textarea {
	color: black;
}
	
body.forcedark .titlediv {
	border-radius: 4px 4px 0px 0px;
	padding-top: 6px;
	background: #151515;
	padding-bottom: 5px;
}
	
body.forcedark .comntsectionheader {
	padding-top: 12px;
    padding-right: 4px;
    background: #151515;
    padding-bottom: 1px;
    border-bottom: unset;
    max-width: 696px;
}
	
body.forcedark .comntsectionheader img, .titlediv img {
	margin-right: 4px;
}
	
body.forcedark .place-images {
	border: 2px solid black;
	background-color: black;
}
	
body.forcedark .mapIframer {
	background-color: black;
}
	

body.forcedark div.comment {
	background: white;
	opacity: 0.95;
}

body.forcedark header {
	box-shadow: 0px 3px 8px #121212;
}

body.forcedark .place-description .phoneemoji {
	width: 28px;
	height: 28px;
	background: #f6f6f6;
	padding: 2px;
	border-radius: 50%;
}

body.forcedark .mapIframer .phoneemoji {
	width: 35px;
    height: 35px;
	background: #f6f6f6;
	border-radius: 50%;
	margin-bottom: -15px;
}

/************ Stars Rate ***************/

.rateStars {
	display: flex;
	flex-direction: row-reverse;
	gap: 5px;
	justify-content: center;
	align-items: center;
	margin-bottom: 7px;
}

/* مخفی کردن ورودی‌های رادیویی */
.rateStars input {
	display: none;
}

.rateStars label {
	cursor: pointer;
	-webkit-tap-highlight-color: transparent;
	width: 30px;
	height: 30px;
}

.rateStars svg {
	fill: #e5e7eb; /* خاکستری روشن برای حالت خالی */
	transition: fill 0.2s ease, transform 0.1s ease;
}

/* رنگ گرفتن ستاره‌ها هنگام هاور (Hover) */
.rateStars label:hover svg,
.rateStars label:hover ~ label svg {
	fill: #fbbf24;
}

/* رنگ گرفتن ستاره‌ها هنگام انتخاب (Checked) */
.rateStars input:checked ~ label svg {
	fill: #fbbf24;
}

/* افکت لمس/کلیک */
.rateStars label:active svg {
	transform: scale(0.9);
}

.ratedStars {
	position: absolute;
	top: 3px;
	left: 12px;
	background: white;
	direction: ltr;
}

div.comment .ratedStars svg, div.comment .ratedStars img {
	height: 18px;
	width: 18px;
	top: -11px;
}

.SPImage.noimg {
	background-color: #787878;
    padding: 10px 0px;
    height: 100px;
    object-fit: contain;
}

body.forcedark .website {
	color: #81c4ff;
}

.webfield {
	display: none;
}

@media (min-width: 900px) {
	body .latest {
		margin-bottom: 20px;
		max-width: 690px;
	}
}

.sectionTitle {
	font-size: 1.1rem;
	border-bottom: 1px solid #e7e7e7;
	margin: 0px 15px;
	padding-bottom: 8px;
}

.sectionTitle span {
	color: #00a100;
    text-shadow: 0 0 1px #00a100;
}

.sectionTitle span.closed {
	color: #da0600;
	text-shadow: 0 0 1px #da0600;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
	width: 100%;		
	table-layout: fixed;
	font-size: 1.1rem;
	color: black;
}

thead {
	background-color: #f8fafc;
}

body.forcedark thead {
	background-color: #01454c;
}

tbody {
	font-size: 1.05rem;
}

th, td {
	padding: 6px 3px;	
}

tr:not(:last-child), thead tr {
    border-bottom: 1px solid #ebedf1;
}

body.forcedark tr:not(:last-child), body.forcedark  thead tr {
    border-bottom: 1px solid #2b2b2b;
}

div.tableCover {
	width: calc(100% - 50px);
	margin: 10px 25px 0px 25px;
	border-radius: 6px;
	overflow: hidden;
	border: 1px solid #e8ebee;
}

tr td:first-child, tr th:first-child {
	width: 140px;
}

@media (max-width: 400px) {
	tr td:first-child, tr th:first-child {
		width: 50%;
	}
}

tbody tr.today, body.forcedark tbody tr.today {
	background-color: #deefff;
	font-weight: 600;
	color: #0073ff;
	position: relative;
}

.sectionTitle img.phoneemoji {
	position: relative;
	width: 35px;
	height: 38px;
	top: -3px;
	margin-bottom: -17px;
}

body.forcedark .sectionTitle {
	padding-bottom: 10px;
}

body.forcedark table {
	background-color: #1c1c1c;
	color: white;
}

body.forcedark tr td:first-child {
	border-left: unset;
}

body.forcedark div.tableCover {
	border: unset;
}

body.forcedark tbody tr.today {
	background-color: #003636;
	color: #00fff5;
}

body.forcedark .sectionTitle span {
	color: #03d603;
	text-shadow: 0 0 1px #00ff00;
}

body.forcedark .sectionTitle span.closed {
	color: #e70700;
	text-shadow: 0 0 1px #e70700;
}

/*.mapIframer.foodmenu::before {
	content: '';
	position: absolute;
	top: 45px;
	left: 0;
	right: 0;
	bottom: 0;
	background-image: url(/img/burger.webp);
	background-size: min(70%, 375px);
	background-repeat: no-repeat;
	background-position: center;
	opacity: 0.1;
	pointer-events: none;
}*/

.foodmenu {
	position: relative;
}

.foodmenu tr td:first-child {
	border-left: unset;
}

.foodmenu td {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.foodmenu tr td:first-child, .foodmenu tr th:first-child {
	width: unset;
}

.foodmenu .tableCover {
	max-height: min(50dvh, 375px);
	overflow-y: auto;
	position: relative;
}

.foodmenu tbody tr:nth-child(odd) {
	background: #e1e1e182;
}

.foodmenu tr {
	background: #ffffff21;
}

body.forcedark .foodmenu table {
	background: unset;
}

body.forcedark .foodmenu tbody tr:nth-child(odd) {
	background-color: #a1a1a178;
}

.foodmenu .sectionTitle {
	text-shadow: 0 0 1px black;
}

.foodmenu tbody td:not(:first-child) {
	text-align: left;
	padding-left: 15px;
}

.foodmenu tbody td:first-child:not(:last-child) {
	text-align: right;
	padding-right: 15px;
}

body.forcedark .foodmenu .sectionTitle {
	text-shadow: 0 0 1px white;
}

body.forcedark .foodmenu img.phoneemoji {
	border: 2px solid #51cbff;
	width: 32px;
	height: 32px;
	padding: 1px;
	margin-bottom: -17px;
}

.socials {
	border: 2px solid #f0f2f4;
    border-radius: 12px;
    padding: 5px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

.socials * {
	font-family: 'IranSans';
}

.socials .social {
	flex-grow: 1;
    flex-shrink: 1;
    flex-basis: auto;
}

.social {
	position: relative;
	padding: 3px 10px;
}

.social img {
	height: 50px;
	width: 50px;
	position: absolute;
}

body.forcedark .social:not(:first-child) img {
	width: 47px;
	height: 47px;
	padding: 3px;
	background-color: white;
	border-radius: 50%;
}

body.forcedark .place-images hr {
	background-color: #454545;
}

body.forcedark .socials, body.forcedark .starcontain {
    border: 2px solid #454545;
}

.sotitle {
	display: block;
	margin-right: 65px;
	color: #006bd4;
	font-size: 1rem;
	position: relative;
	top: -6px;
}

.sotitle.tel {
	color: #8e24aa;
}

.sobody {
	display: block;
	margin-right: 65px;
	position: relative;
	top: -12px;
	font-size: 1.05rem;
	
}

.sobody, .sobody a, .sobody span {
	font-weight: normal;
}

.sobody.website a {
	text-decoration: none;
    background-color: #006bd4;
    color: white;
    font-size: 0.9rem;
    padding: 2px 7px;
    margin-top: 5px;
    display: inline-block;
    border-radius: 4px;
}

/* Food Menu */
.foodlist {
	max-height: min(50.0vh, 450px);
	overflow: auto;
}

.fooditem {
	height: 56px;
	width: calc(50% - 18px);
	text-align: left;
	padding: 4px;
	margin-left: 3px;
	margin-right: 3px;
	margin-top: 10px;
	margin-bottom: 10px;			
	display: inline-block;
	border-radius: 8px;
	transition: background-color 0.2s linear;
	cursor: pointer;
	position: relative;
	max-width: min(calc(100% - 13px), 340px);
	box-shadow: 0px 0px 3px 1px rgb(195, 195, 195, 0.34);
}

.foodlist * {
	font-family: 'IranSans';
}

@media (max-width: 560px) {
	.fooditem {
		width: calc(100% - 18px);	
	}
}

.fooditem:hover {
	background-color: #ececec;
}

.fooditem img {
	height: 57px;
	margin-left: 3px;
	border-radius: 50%;
	position: absolute;
	right: 5px;
}

.category {
	margin: 12px 30px;
}

.cattitle {
	text-align: right;
}

.cattitle::before {
	content: '';
	position: relative;
	display: block;
	width: 100%;
	background: #dddddd;
	height: 2px;
	top: 15px;
	z-index: 0;
}

.cattitle span {
	background: white;
	position: relative;
	z-index: 1;
	color: #103b73;
	padding-left: 15px;
	font-weight: 500;
	font-size: 1.05rem;
}

.foodtext {
	margin-right: 67px;
	position: relative;
	text-align: right;
}

.foodtext span {
	display: inline-block;			
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	font-size: 1rem;
}

.foodtext > span:nth-child(1) {
	font-size: 1.5rem;
	margin-bottom: -10px;
	margin-left: -5px;
	top: -4px;
	position: relative;
}

.foodtext > span:nth-child(2) {	
	max-width: calc(100% - 38px);
	font-weight: 500;
	margin-right: 5px;
}

.foodtext > span:last-child {
	display: block;
	position: relative;
	top: -2px;
	color: #ffaa01;
	font-weight: 700;
	font-size: 0.91rem;
	left: -3px;
	text-align: left;
	direction: ltr;
}

.foodtext span:last-child img {
	border-radius: 50%;
    position: relative;
    height: 20px;
    width: 20px;
    margin-bottom: -6px;
    text-align: left;
    left: 4px;
    margin-right: 5px;
}

body.forcedark .cattitle span {
	background: black;
	color: #e5e5e5;
}

body.forcedark .fooditem {
	box-shadow: 0px 0px 3px 1px #2d2d2d;
	background-color: #2d2d2d;
}

body.forcedark .fooditem:hover {
	background-color: #252525;
}

.faqcontain {
	text-align: center;
	max-width: 700px;
	margin-right: auto;
	margin-left: auto;
	background: white;
	margin-top: 30px;
	border-radius: 14px;
	padding: 10px 10px 15px 10px;
	direction: rtl;
	font-size: 1.2rem;
	font-family: 'IranSans';
	font-weight: normal;
}

.faqcontain > *, .faqcontain .faqitem > *  {
	font-family: 'IranSans';
	font-weight: normal;
}

.faqtitle::before {
	content: "?";
	background-color: #1976d2;
	color: white;
	padding: 0px 12px;
	height: 35px;
	width: 10px;
	border-radius: 50%;
	font-size: 1.4rem;
	display: inline-block;
	line-height: 38px;
}

.faqtitle {
	text-align: right;
	margin-bottom: 10px;
}

.faqtitle span {
	display: block;
	color: rgb(164 164 164);
	font-size: 1rem;
	margin: 0px 5px 0px 0px;
}

.faqitem {
	border-radius: 8px;
	border: 1px solid #ededed;
	padding: 10px;
}

.faqquestion {
	text-align: right;
	font-size: 1rem;
	cursor: pointer;
	position: relative;
	padding-left: 25px;
	-webkit-tap-highlight-color: transparent;
}

.faqquestion::before {
	content: "?";
	border: 2px solid #1976d2;
	color: #1976d2;
	border-radius: 50%;
	font-size: 1.25rem;
	margin-left: 15px;
	margin-right: 5px;
	display: inline-block;
	height: 26px;
	width: 26px;
	text-align: center;
	position: relative;
	padding: 0px;
	vertical-align: top;
	line-height: 30px;
	transition: background-color 0.2s linear;
}

.faqquestion::after {
	display: inline-block;
	content: "\276F";
	transform: rotate(270deg);
	float: left;
	position: absolute;
	top: -7px;
    left: 4px;
	transition: transform 0.2s linear, color 0.2s linear;
}

.faqitem.answer .faqquestion::after {
	transform: rotate(270deg) scaleY(-1) scaleX(-1);
	color: #1976d2;
}

.faqanswer {
	max-height: 0px;
	overflow: hidden;
	transition: max-height 0.2s linear, opacity 0.2s linear, margin-top 0.2s linear, padding 0.2s linear;
	opacity: 0;
	font-size: 1rem;
	color: #3b3b3b;
	background-color: #eaf3fb;
	border-radius: 4px;
	margin-right: 7px;
	margin-top: 0px;
	padding: 0px 10px;
	text-align: justify;		
}

.faqitem.answer .faqanswer {
	opacity: 1;
	margin-top: 13px;
	padding: 5px 10px 7px 10px;
}

.faqitem:not(:last-child) {
	margin-bottom: 10px;
}

body.forcedark .faqcontain {
	background-color: black;
}

body.forcedark .faqitem {
	border: 1px solid #363636;
}

body.forcedark .faqquestion::before {
	color: #efefef;
}

/********** Embed Videos ********/
.vidiframe {
	margin-top: 15px;
	background-color: #f2f2f2;
	border-radius: 8px;
	padding: 10px;
}

.vidiframe h2 {
	font-family: 'IranSans';
	font-weight: normal;
	font-size: 1.05rem;
	margin-bottom: 15px;
	width: 100%;
	white-space: normal;
}

.vidiframe h2 img {
	display: inline-block;
	width: 22px;
	background-color: #39ba9d;
	border-radius: 4px;
	padding: 6px;
	margin-bottom: -11px;
}

.vidflex {
	display: flex; 
	gap: 10px;
	flex-wrap: wrap;
	flex-direction: row-reverse;
}

.vidflex > div {
	flex: 1 1 326px;
	text-align: justify;
}

.vidflexor:first-child {
	text-align: center;
	position: relative;
	overflow: hidden;
	border-radius: 4px;
	background-color: #e0e0e0;					
}

.vidflexor span {
	white-space: normal;
}

.vidflexor iframe {
	border: none;
	border-radius: 4px;
	width: 100%;
	aspect-ratio: 20 / 11;
	margin-bottom: -9px;
}

.vidfeatures {
	display: flex;
	gap: 10px;
	flex-wrap: wrap;
	margin-top: 15px;					
}

.vidfeatures div {
	text-align: center;
	width: 15px;
	flex: 1 1 102px;
	background-color: white;
	border-radius: 8px;
	color: black;
	padding-bottom: 4px;
	user-select: none;
	transition: transform 0.2s linear;
}

body.forcedark .vidfeatures div {
	background-color: #1e1e1e;
	color: #ffffff;
}

.vidfeatures div:hover, .vidfeatures div:active, .vidfeatures div:focus, .vidfeatures div:visited {
	transform: translateY(-5px);
}

.vidfeatures div img {			
	display: block;
	width: 36px;
	height: 38px;
	padding: 12px 0px 9px 0px;
	margin: 0 auto;
}

.vidfeatures div:nth-child(2) img {
	width: 41px;
}
.vidfeatures div:nth-child(3) img {
	width: 43px;
}

@media (max-width: 760px) {
	.vidflexor:nth-child(2) {
		display: grid;
	}
	
	.vidflexor:nth-child(2) span {
		order: 3;
		margin-bottom: 5px;
	}
	
	.vidfeatures {
		margin-top: 3px;
		margin-bottom: 9px;
	}
}

body.forcedark .vidiframe {
	background-color: unset;
	border: 2px solid #454545;
}
/* Top Place */
.topPage a {
	text-decoration: none;
}

.topPage {
	background-color: #f3f6fa;
	border: 1px solid #dfe5f1;
	border-radius: 8px;
	padding: 15px 20px;
	margin-top: 10px;
	position: relative;
	height: fit-content;
	overflow: hidden;
}

body.forcedark .topPage {
	background-color: #0c101c;
	border: 1px solid #0c101c;
}

@media (max-width: 490px) {
	.topPage .topSymbol {
		display: none;
	}

	.topPage .topText {
		padding-left: unset;
		padding-right: 72px;
	}
	
	div.topIcon {
		right: 20px;
		left: unset;
	}
}

.topSymbol {
	float: right;
	background-color: #1976d2;
	text-align: center;
	padding: 10px 0px 0px 0px;
	width: 55px;
	height: 38px;
	color: white;
	border-radius: 8px;
	font-size: 1.1rem;
}

.topPage.noimg .topIcon {
	display: none;
}

.topPage.noimg .topText {
	padding-left: unset;
}

.topIcon {
	position: absolute;
	top: 9px;
	left: 20px;
	height: 60px;
	background: #1976d2;
	border-radius: 11px;
}

.topIcon img {
	width: 46px;
	height: 46px;
	padding: 7px;
	filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(0%) hue-rotate(0deg);
}

.topText {
	position: relative;
	padding-right: 13px;
	padding-left: 72px;
	color: #1275d7;
	font-family: 'IranSans';
	font-size: 1.14rem;
	font-weight: 500;
	text-align: center;
	display: flex;
	justify-content: center;
	align-items: center;
	vertical-align: middle;
	min-height: 48px;
}

/**** Google Preferences **/
.mapIframer.pref {
	padding-bottom: 10px;
}

.addpref {
	display: flex;
	padding: 0px 10px 3px 10px;
	gap: 10px;
	flex-wrap: wrap;
}

.addpref div {
	flex-grow: 1;
	flex-shrink: 1;
	flex-basis: auto;
	position: relative;		
}

@media (max-width: 715px) {
	.addpref div {
		flex-grow: 0;
	}
	
	.addpref {
		justify-content: center;
	}
}

.addpref img {
	position: absolute;
	right: 0px;
	background-color: #ffecc5;
	padding: 7px;
	width: 45px;
	height: 45px;
	border-radius: 5px;
}

div.prefhead h3 {
	padding-right: 68px;
	text-align: right;
	font-family: 'IranSans';
	font-weight: normal;
	font-size: 1.12rem;
}

div.prefhead p {
	padding-right: 68px;
	text-align: right;
	display: block;
	color: #505050;
}

body.forcedark div.prefhead p {
	color: #cccccc;
}

div.prefbut {
	display: flex;
	align-items: center;
	justify-content: left;
}

div.prefButton {
	background-color: #1976d2;
	display: inline-block;
	padding: 12px;
	border-radius: 6px;
	color: white;
	font-family: "IranSans";
	font-weight: 500;
	padding-right: 52px;
	height: 26px;
	flex-grow: 0;
	flex-shrink: 0;
	flex-basis: auto;
	cursor: pointer;
}

.prefButton::before {
	content: '+';
	background-color: #5ca1e5;
	border-radius: 50%;
	padding: 7px 11px 5px 11px;
	font-size: 1.25rem;
	line-height: 21px;
	display: inline-block;
	margin-bottom: -3px;
	top: 8px;
	right: 10px;
	position: absolute;
}

@media (max-width: 715px) {
	div.prefbut {
		flex-grow: 1;
		align-items: center;
		justify-content: center;
	}
	
	div.prefButton {
		width: calc(100% - 73px);
		margin-top: 5px;
		max-width: 390px;
	}
	
	.prefButton::before {
		right: unset;
		margin-right: -42px;
	}
}